import axios from 'axios'

const apiClient = axios.create({
  baseURL: 'http://localhost:3000',
  withCredentials: false,
  headers: {
    Accept: 'application/json',
    'Content-Type': 'application/json'
  }
})

export default {
  getNotes() {
    return apiClient.get('/notes')
  },
  addNote(text) {
    return apiClient.post('/notes', JSON.stringify({ text }))
  }
}
